Name:		perl-Declare-Constraints-Simple
Version:	0.03
Release:    2%{?dist}
Summary:	Declarative Validation of Data Structures
License:	GPL-1.0-or-later OR Artistic-1.0-Perl
URL:		https://metacpan.org/release/Declare-Constraints-Simple
Source0:	https://cpan.metacpan.org/authors/id/P/PH/PHAYLON/Declare-Constraints-Simple-%{version}.tar.gz
Patch0:		Declare-Constraints-Simple-0.03-Fix-building-on-Perl-without-dot-in-INC.patch
BuildArch:	noarch
BuildRequires:	coreutils
BuildRequires:	findutils
BuildRequires:	make
BuildRequires:	perl-generators
BuildRequires:	perl-interpreter
BuildRequires:	perl(Config)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(ExtUtils::Manifest)
BuildRequires:	perl(ExtUtils::MM_Unix)
BuildRequires:	perl(File::Find)
BuildRequires:	perl(File::Path)
BuildRequires:	perl(File::Spec)
BuildRequires:	perl(FileHandle)
BuildRequires:	perl(FindBin)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
BuildRequires:	perl(YAML)
BuildRequires:	perl(aliased)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp::Clan)
BuildRequires:	perl(Class::Inspector)
BuildRequires:	perl(overload)
BuildRequires:	perl(Scalar::Util) >= 1.14
BuildRequires:	perl(strict)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.00
BuildRequires:	perl(Test::Pod::Coverage) >= 1.00

%global __requires_exclude ^perl\\(Declare::Constraints::Simple-Library\\)

%description
The main purpose of this module is to provide an easy way to build a
profile to validate a data structure. It does this by giving you a set of
declarative keywords in the importing namespace.

%prep
%setup -q -n Declare-Constraints-Simple-%{version}

%patch -P 0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%doc Changes README t/
%{perl_vendorlib}/Declare/
%{_mandir}/man3/Declare::Constraints::Simple.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Array.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Base.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Exportable.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::General.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Hash.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Numerical.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::OO.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Operators.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Referencial.3*
%{_mandir}/man3/Declare::Constraints::Simple::Library::Scalar.3*
%{_mandir}/man3/Declare::Constraints::Simple::Result.3*

%changelog
* Mon Jul 01 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.03-2
- rebuild

* Thu Jun 20 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.03-1
- initial build
